<div *ngIf="recHistory">
    <table>
        <tr>
            <th>Number</th>
            <th>Test Id</th>
            <th>User Id</th>
            <th>Date Pass</th>
            <th>Score</th>
            <th *ngIf="isAdmin()">Admin Option</th>
        </tr>
        <tr *ngFor="let h of recHistory; let i = index">
            <td>{{i+1}}</td>
            <td>{{h.testId}}</td>
            <td>{{h.userId}}</td>
            <td>{{h.datePass}}</td>
            <td>{{h.score}}</td>
            <td *ngIf="isAdmin()">
                <button (click)="deleteHistory(h.id)">Delete</button>
                <button [routerLink]="['/layout/user', h.userId]">Edit user</button>
            </td>
        </tr>
    </table>
</div> 